class WordMultiChoice extends WordQuiz {
	next() {
		if (this.words.length < 4) return;
		let word = this.words.shift();
		if (!word[2]) return this.next();
		let form = put(this.form,
			'+img[src=$]+ul', `/data/word/32/${word[2]}.jpg`,
		);

		let answers = [word[0], this.words[0][0], this.words[1][0], this.words[2][0]]
			.shuffle()
		this.log('ask', word[2], answers);
		answers.forEach(suggest => {
			let label = suggest.replace(/\/.*/, '');
			let option = put(form, 'li', label, {onclick: () => {
				this.log('pick', suggest, null, word[0]);
				if (suggest != word[0]) {
					// incorrect
					put(option, '.wrong');
					return;
				}
				put(option, '.good');
				window.setTimeout(() => this.next(), 500);
			}});
		});
	}

	setup() {
		this.form = document.getElementById('quiz');
		this.next();
	}
};
